/*
 *  Linux kernel adaptation layers for owl wifi library.
 *  Copyright (C) 2010 HD Wireless AB
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef OWL_MMC_H
#define OWL_MMC_H

#include <linux/mmc/mmc.h>

int mmc_send_relative_addr(struct mmc_host *host, unsigned int *rca);
int mmc_select_card(struct mmc_card *card);
int mmc_io_rw_direct(struct mmc_card *card, int write, unsigned fn,
                     unsigned addr, u8 in, u8* out, int raw);

#endif
