/*
 *  Programming interface for wl_api.
 *  Copyright (C) 2010 HD Wireless AB
 *
 *  You should have received a copy of the license along with this library.
 */

#ifndef WL_WPA_H
#define WL_WPA_H

#include "wl_api.h"

struct wl_receive_seq_cnt_t {
        uint8_t octet[8];
};

wl_err_t wl_set_key(uint8_t key_idx, 
                    size_t key_len, 
                    const void *key,
                    int swap,
                    const struct wl_mac_addr_t *bssid,
                    const struct wl_receive_seq_cnt_t *rsc,
                    int tx_key);

void wl_register_mic_failure_cb(void (*cb)(void *ctx), void *ctx);
                                                 

#endif
